Skip to content
Start here

List Web Analytics sites

rum.site_info.list(SiteInfoListParams**kwargs) -> SyncV4PagePaginationArray[Site]
GET/accounts/{account_id}/rum/site_info/list

Lists all Web Analytics sites of an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
order_by: Optional[Literal["host", "created"]]

The property used to sort the list of results.

One of the following:
"host"
"created"
page: Optional[float]

Current page within the paginated list of results.

per_page: Optional[float]

Number of items to return per page of results.

ReturnsExpand Collapse
class Site:
auto_install: Optional[bool]

If enabled, the JavaScript snippet is automatically injected for orange-clouded sites.

created: Optional[datetime]
formatdate-time
rules: Optional[List[RUMRule]]

A list of rules.

id: Optional[str]

The Web Analytics rule identifier.

created: Optional[datetime]
formatdate-time
host: Optional[str]

The hostname the rule will be applied to.

inclusive: Optional[bool]

Whether the rule includes or excludes traffic from being measured.

is_paused: Optional[bool]

Whether the rule is paused or not.

paths: Optional[List[str]]

The paths the rule will be applied to.

priority: Optional[float]
ruleset: Optional[Ruleset]
id: Optional[str]

The Web Analytics ruleset identifier.

enabled: Optional[bool]

Whether the ruleset is enabled.

zone_name: Optional[str]
zone_tag: Optional[str]

The zone identifier.

site_tag: Optional[str]

The Web Analytics site identifier.

site_token: Optional[str]

The Web Analytics site token.

snippet: Optional[str]

Encoded JavaScript snippet.

List Web Analytics sites

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.rum.site_info.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.auto_install)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "auto_install": true,
      "created": "2014-01-01T05:20:00.12345Z",
      "rules": [
        {
          "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
          "created": "2014-01-01T05:20:00.12345Z",
          "host": "example.com",
          "inclusive": true,
          "is_paused": false,
          "paths": [
            "*"
          ],
          "priority": 1000
        }
      ],
      "ruleset": {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "enabled": true,
        "zone_name": "example.com",
        "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
      },
      "site_tag": "023e105f4ecef8ad9ca31a8372d0c353",
      "site_token": "023e105f4ecef8ad9ca31a8372d0c353",
      "snippet": "<!-- Cloudflare Web Analytics --><script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{\"token\": \"bc40a2d1b5834453aba85c1b9a3054da\"}'></script><!-- End Cloudflare Web Analytics -->"
    }
  ],
  "result_info": {
    "count": 10,
    "page": 1,
    "per_page": 10,
    "total_count": 25,
    "total_pages": 3
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "auto_install": true,
      "created": "2014-01-01T05:20:00.12345Z",
      "rules": [
        {
          "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
          "created": "2014-01-01T05:20:00.12345Z",
          "host": "example.com",
          "inclusive": true,
          "is_paused": false,
          "paths": [
            "*"
          ],
          "priority": 1000
        }
      ],
      "ruleset": {
        "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
        "enabled": true,
        "zone_name": "example.com",
        "zone_tag": "023e105f4ecef8ad9ca31a8372d0c353"
      },
      "site_tag": "023e105f4ecef8ad9ca31a8372d0c353",
      "site_token": "023e105f4ecef8ad9ca31a8372d0c353",
      "snippet": "<!-- Cloudflare Web Analytics --><script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{\"token\": \"bc40a2d1b5834453aba85c1b9a3054da\"}'></script><!-- End Cloudflare Web Analytics -->"
    }
  ],
  "result_info": {
    "count": 10,
    "page": 1,
    "per_page": 10,
    "total_count": 25,
    "total_pages": 3
  }
}